-- DROP OLD SEQUENCES
drop sequence ULIPREPROD_ADM.SEQ_ELK_WORKS_EXPORT;

-- DROP OLD TABLES
drop table ULIPREPROD_ADM.ELK_SCHEMA_EDIZIONE_EXPORT;
drop table ULIPREPROD_ADM.ELK_SCHEMA_TERR_EXPORT;
drop table ULIPREPROD_ADM.ELK_WORKS_EXPORT;


--------------------------------------------------------
--  DDL for Table ELK_SCHEMA_TERR_EXPORT
--------------------------------------------------------
CREATE TABLE ULIPREPROD_ADM.ELK_SCHEMA_TERR_EXPORT
(
  ID_SCHEMA NUMBER(19,0),
	ID_OPERA NUMBER(19,0),
	TIPO_UTILIZZO VARCHAR2(255 CHAR),
	SIGLA_SCHEMA VARCHAR2(255 CHAR),
	CONSTRAINT PK_SCHEMA_TERR PRIMARY KEY (ID_SCHEMA) ENABLE
)
TABLESPACE DATI_ULIADM ;

GRANT SELECT ON ULIPREPROD_ADM.ELK_SCHEMA_TERR_EXPORT TO ULISSE_SELECTDATA;
GRANT INSERT ON ULIPREPROD_ADM.ELK_SCHEMA_TERR_EXPORT TO ULISSE_MODIFYDATA;
GRANT UPDATE ON ULIPREPROD_ADM.ELK_SCHEMA_TERR_EXPORT TO ULISSE_MODIFYDATA;
GRANT DELETE ON ULIPREPROD_ADM.ELK_SCHEMA_TERR_EXPORT TO ULISSE_DELETEDATA;

CREATE OR REPLACE public SYNONYM ELK_SCHEMA_TERR_EXPORT FOR ULIPREPROD_ADM.ELK_SCHEMA_TERR_EXPORT;


--------------------------------------------------------
--  DDL for Table MAPPA_QUOTA_IPI
--------------------------------------------------------
CREATE TABLE ULIPREPROD_ADM.MAPPA_QUOTA_IPI
(
  ID NUMBER(19, 0) NOT NULL,
  NOME VARCHAR2(50) NOT NULL,
  DESCRIZIONE VARCHAR2(255),
  NOME_IPI VARCHAR2(50) NOT NULL,
  CONSTRAINT MAP_QT_IPI_PK PRIMARY KEY ( ID )ENABLE
)
TABLESPACE DATI_ULIADM ;

GRANT SELECT ON ULIPREPROD_ADM.MAPPA_QUOTA_IPI TO ULISSE_SELECTDATA;
GRANT INSERT ON ULIPREPROD_ADM.MAPPA_QUOTA_IPI TO ULISSE_MODIFYDATA;
GRANT UPDATE ON ULIPREPROD_ADM.MAPPA_QUOTA_IPI TO ULISSE_MODIFYDATA;
GRANT DELETE ON ULIPREPROD_ADM.MAPPA_QUOTA_IPI TO ULISSE_DELETEDATA;

CREATE OR REPLACE public SYNONYM MAPPA_QUOTA_IPI FOR ULIPREPROD_ADM.MAPPA_QUOTA_IPI;